//Kamerasicht fr Verfolgung eines Objekts /// Vienna  24.08.2008 ///
//
//Verwendet Dialog: Kamera1 fr das Beenden der Kamerafahrt.
//globale Variable: Kamera1ZielObjekt fr den Namen des zu verfolgenden Objekts.


private ["_o","_Py","_Px","_Pz","_w","_c"];

_o = Kamera1ZielObjekt; // Objekt fr die Verfolgung

_Px =   0; //Position der Kamera neben  dem Objekt
_Py = -40; //Position der Kamera hinter dem Objekt (negativer Wert)
_Pz =   2; //Position der Kamera ber   dem Objekt

//Dialog erstellen
if (createDialog "Kamera1") then
	{
		//Logisches Objekt erstellen (fr Kamerposition)
		_w = "Logic" createVehicleLocal [0,0,0];
		//Kamera erstellen
		ShowCinemaBorder false;
		_c ="camera" camCreate [0,0,0];
		_c CameraEffect ["internal", "back"];
		_c camSetFOV 1;
		//Endlosschleife so lange Dialog offen
		while {dialog} do
			{
				_c camSetTarget _o;
				//Logik-Objekt auf vorgesehene Kameraposition
				_w setPos (_o modelToWorld [_Px,_Py,0]);
				//Kamera auf Seehhenposition(ASL) plazieren, mit Ausgleich der unterschiedlichen Hhen Kamera zu Ziel!
				// Dafr wird die Hhe nicht von der Kameraposition(_w) sondern vom Ziel(_o) genommen.
				_c camSetPos [getPosASL _w select 0,getPosASL _w select 1,(getPosASL _o select 2)+_Pz];
				_c camCommit 0;
				waitUntil {camCommitted _c};
				sleep 0.01
			};
		//Kamera und logisches Objekt entfernen
		_c CameraEffect ["terminate", "back"];
		camDestroy _c;
		deleteVehicle _w
	}
else
	{
		player groupChat "Dialog zu Kamera1 fehlgeschlagen!"
	}